Subject: [Spridgets] Midget woes

From: Rick Fisk <[email-masked]>
Date: Wed, 12 Jun 2013 22:23:25 -0400

Took the Midget on a 30 mile round trip this evening for a barbequed prime rib
dinner.  Dinner was great.  When I got home I pulled in the driveway and shut
the car off.

But the ignition light then turned ON.  Turn the key on the light goes off.
Turn the key off and the light goes on.  Hmmm, alternator has puked.  Wonder
where that spare generator and regulator are in my heck of a mess garage?
:-)
------------------------

[email-masked]

Archive: http://www.team.net/archive